org.apache.sling.performance

## Class PerformanceSuiteState

- java.lang.Object
- - org.apache.sling.performance.PerformanceSuiteState

    public class PerformanceSuiteState
    extends Object

### Field Summary

Fields
`String` `testSuiteName`

### Constructor Summary

Constructors
Constructor and Description
`PerformanceSuiteState(String testSuiteName)`

### Method Summary

Methods
`Method` `getAfterSuiteMethod()`
`Method` `getBeforeSuiteMethod()`
`int` `getNumberOfExecutedMethods()`
`int` `getNumberOfMethodsInSuite()`
`Object` `getTargetObjectSuite()`
`String` `getTestSuiteName()`
`void` `incrementNumberOfExecutedTestMethods()`
`void` `incrementNumberOfTestMethodsInSuite()`
`void` `setAfterSuiteMethod(Method afterSuiteMethod)`
`void` `setBeforeSuiteMethod(Method beforeSuiteMethod)`
`void` `setNumberOfExecutedMethods(int numberOfExecutedMethods)`
`void` `setNumberOfMethodsInSuite(int numberOfMethodsInSuite)`
`void` `setTargetObjectSuite(Object targetObjectSuite)`
`void` `setTestSuiteName(String testSuiteName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### testSuiteName

    public String testSuiteName

### Constructor Detail

#### PerformanceSuiteState

    public PerformanceSuiteState(String testSuiteName)

### Method Detail

#### incrementNumberOfTestMethodsInSuite

    public void incrementNumberOfTestMethodsInSuite()

#### incrementNumberOfExecutedTestMethods

    public void incrementNumberOfExecutedTestMethods()

#### getTestSuiteName

    public String getTestSuiteName()

#### setTestSuiteName

    public void setTestSuiteName(String testSuiteName)

#### getBeforeSuiteMethod

    public Method getBeforeSuiteMethod()

#### setBeforeSuiteMethod

    public void setBeforeSuiteMethod(Method beforeSuiteMethod)

#### getAfterSuiteMethod

    public Method getAfterSuiteMethod()

#### setAfterSuiteMethod

    public void setAfterSuiteMethod(Method afterSuiteMethod)

#### getNumberOfMethodsInSuite

    public int getNumberOfMethodsInSuite()

#### setNumberOfMethodsInSuite

    public void setNumberOfMethodsInSuite(int numberOfMethodsInSuite)

#### getNumberOfExecutedMethods

    public int getNumberOfExecutedMethods()

#### setNumberOfExecutedMethods

    public void setNumberOfExecutedMethods(int numberOfExecutedMethods)

#### getTargetObjectSuite

    public Object getTargetObjectSuite()

#### setTargetObjectSuite

    public void setTargetObjectSuite(Object targetObjectSuite)